out with gitRepos.sh and in with the more generic rcloneHelper.sh

for (un)mounting of rclone remotes
This commit is contained in:
committer@tuxwarrior
2026-04-05 20:06:15 -05:00
parent e9fea0ae2f
commit 7d18992cac
2 changed files with 53 additions and 37 deletions

View File

@@ -1,37 +0,0 @@
#!/usr/bin/env bash
# klevstul :: 26.04
gitRepos() {
mnt_dir=/mnt/gitRepos
if ! [[ -d ${mnt_dir} ]]; then
echo "creating non-existing mount dir '${mnt_dir}'."
sudo mkdir -p ${mnt_dir}
sudo chown ${USER}:${USER} ${mnt_dir}
elif [[ ! -d ${mnt_dir} ]] ; then
echo "'${mnt_dir}' exist, but is not a directory" 1>&2
fi
if [[ -n $1 ]] ; then
if [[ $1 == "umount" ]] || [[ $1 == "unmount" ]] ; then
echo "umount ${mnt_dir}"
sudo umount -l /mnt/gitRepos
elif [[ $1 == "mount" ]] ; then
echo "mount ${mnt_dir}"
rclone mount --vfs-cache-mode full ulozto:gitRepos /mnt/gitRepos &
else
echo "unknown command. try: 'gitRepos {mount,umount}'"
fi
else
echo "sry, bud! try: 'gitRepos {mount,umount}'"
fi
}
this_file_name=`basename "$0"`
if [ $# -lt 1 ]; then
echo "error: operation {mount|umount} is missing."
echo "usage: '$this_file_name {mount|umount}'"
exit 1
fi
gitRepos $1

53
dots/bin/rcloneHelper.sh Executable file
View File

@@ -0,0 +1,53 @@
#!/usr/bin/env bash
# klevstul :: 26.04
rcloneHelper() {
operation=$1
remote=$2
if [[ ${operation} == "list" ]] ; then
rclone listremotes --long
elif [[ -n ${operation} ]] && [[ -n ${remote} ]] ; then
# check if given remote exist
if ! rclone listremotes | grep -xq ${remote}:; then
echo "'${remote}' is an unknown rclone remote."
exit 1
fi
mnt_dir=/mnt/rclone/${remote}
if ! [[ -d ${mnt_dir} ]]; then
echo "creating non-existing mount dir '${mnt_dir}'."
sudo mkdir -p ${mnt_dir}
sudo chown ${USER}:${USER} ${mnt_dir}
elif [[ ! -d ${mnt_dir} ]] ; then
echo "'${mnt_dir}' exist, but is not a directory" 1>&2
fi
if [[ ${operation} == "umount" ]] || [[ ${operation} == "unmount" ]] ; then
echo "umount ${mnt_dir}"
sudo umount -l ${mnt_dir}
elif [[ ${operation} == "mount" ]] ; then
echo "mount ${mnt_dir}"
rclone mount --vfs-cache-mode full --vfs-cache-max-size 100G --vfs-read-chunk-size 128M --transfers 32 --checkers 16 --tpslimit 12 pcloud: ${mnt_dir} &
else
echo "unknown command...'"
fi
else
echo "sry, bud! try: 'gitRepos {mount,umount} {remote}'"
fi
}
this_file_name=`basename "$0"`
if [ $# -lt 1 ]; then
echo "error: operation {mount|umount|list} {remote?} is missing."
echo "usage: '$this_file_name {input_1} {input_2}'"
exit 1
fi
rcloneHelper $1 $2